Adobe Acrobat Reader up to 11.0.18/15.006.30244/15.020.20042 XSLT Engine type conversion

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.9$0-$5k0.00

A vulnerability was found in Adobe Acrobat Reader up to 11.0.18/15.006.30244/15.020.20042 (Document Reader Software). It has been classified as critical. This affects an unknown code block of the component XSLT Engine. The manipulation with an unknown input leads to a type conversion vulnerability. CWE is classifying the issue as CWE-704. The product does not correctly convert an object, resource, or structure from one type to a different type. This is going to have an impact on confidentiality, integrity, and availability. The summary by CVE is:

Adobe Acrobat Reader versions 15.020.20042 and earlier, 15.006.30244 and earlier, 11.0.18 and earlier have an exploitable type confusion vulnerability in the XSLT engine related to localization functionality. Successful exploitation could lead to arbitrary code execution.

The bug was discovered 01/10/2017. The weakness was presented 01/05/2017 with Zero Day Initiative as APSB17-01 as confirmed security bulletin (Website). It is possible to read the advisory at helpx.adobe.com. This vulnerability is uniquely identified as CVE-2017-2962 since 12/02/2016. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. It demands that the victim is doing some kind of user interaction. The technical details are unknown and an exploit is not publicly available.

The vulnerability scanner Nessus provides a plugin with the ID 96455 (Adobe Reader < 11.0.19 / 15.006.30279 / 15.023.20053 Multiple Vulnerabilities (APSB17-01) (macOS)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family MacOS X Local Security Checks and running in the context l.

Upgrading eliminates this vulnerability. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (96455). See 95140, 95141, 95142 and 95143 for similar entries.

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 7.0
VulDB Meta Temp Score: 6.9

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 7.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Type conversion
CWE: CWE-704
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 96455
Nessus Name: Adobe Reader < 11.0.19 / 15.006.30279 / 15.023.20053 Multiple Vulnerabilities (APSB17-01) (macOS)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 103337
OpenVAS Name: Adobe Acrobat Security Updates(apsb17-01)-Windows
OpenVAS File: 🔍
OpenVAS Family: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍
Suricata ID: 2014154
Suricata Class: 🔍
Suricata Message: 🔍

Timelineinfo

12/02/2016 🔍
01/05/2017 +34 days 🔍
01/05/2017 +0 days 🔍
01/10/2017 +5 days 🔍
01/10/2017 +0 days 🔍
01/10/2017 +0 days 🔍
01/11/2017 +1 days 🔍
01/12/2017 +1 days 🔍
10/28/2022 +2115 days 🔍

Sourcesinfo

Vendor: adobe.com

Advisory: APSB17-01
Organization: Zero Day Initiative
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2017-2962 (🔍)
OVAL: 🔍

SecurityTracker: 1037574
SecurityFocus: 95340 - Adobe Acrobat and Reader CVE-2017-2962 Remote Code Execution Vulnerability
OSVDB: - CVE-2017-2962 - Adobe - Multiple Products - Type Confusion Issue

See also: 🔍

Entryinfo

Created: 01/11/2017 09:42 AM
Updated: 10/28/2022 10:35 AM
Changes: 01/11/2017 09:42 AM (83), 08/26/2020 09:27 AM (2), 10/28/2022 10:35 AM (4)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you need the next level of professionalism?

Upgrade your account now!